import java.util.List;

public class GebietsListe {
    private List<Gebiet> gebiete;

    public GebietsListe(List<Gebiet> gebiete) {
        this.gebiete = gebiete;
    }


    public Gebiet getGebietMinDurchschnittsEinkommen(){
        int gebietA = 0;
        int gebietB = 0;
        Gebiet gebietMitMinDurchschnittsEinkommen = null;
        for (Gebiet g:gebiete) {
            gebietA = g.getDurchschnittsEinkommen();
            if (gebietA < gebietB) {
                gebietMitMinDurchschnittsEinkommen = g;
                gebietB = gebietA;
            }
        }
        if (gebietMitMinDurchschnittsEinkommen == null) {
            System.err.println("Fehler bei der Suche nach dem geringsten Durchschnittseinkommen.");
        }
        return gebietMitMinDurchschnittsEinkommen;
    }



    public Gebiet getGebietMaxAnzahlEinwohner() {
        int gebietA = 0;
        int gebietB = 0;
        Gebiet gebietMitMaxEinwohnern = null;
        for (Gebiet g:gebiete) {
            gebietA = g.getAnzahlEinwohner();
            if (gebietA > gebietB)
            {
                gebietMitMaxEinwohnern = g;
                gebietB = gebietA;
            }
        }
        if (gebietMitMaxEinwohnern == null)
        {
            System.err.println("Fehler bei der Suche nach den meisten Einwohnern .");
        }
        return gebietMitMaxEinwohnern;
    }
}
